org.eclnt.jsfserver.util

## Class ProfileLogWriter

- java.lang.Object
- - org.eclnt.jsfserver.util.ProfileLogWriter

-     public class ProfileLogWriter
      extends java.lang.Object

  Class for writing profile log information to persistend storage. The information is written to the directory which is the "servlet temp" directory.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProfileLogWriter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getProfileLogDirectory()` Directory in which profile information is written.
    `java.util.List<java.lang.String>` | `getProfileLogFileNames()` Returns a list of file names containing profile log information.
    `static java.util.List<ProfileLogInfo>` | `readProfileLogMessages(java.lang.String fileName)` Returns content of one profile log file.
    `static void` | `writeProfileLogMessages(java.util.List<ProfileLogInfo> logInfos, long totalNanos)` Write information to current profile log.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProfileLogWriter

          public ProfileLogWriter()

  - ### Method Detail

    - #### writeProfileLogMessages

          public static void writeProfileLogMessages(java.util.List<ProfileLogInfo> logInfos,
                                                     long totalNanos)

      Write information to current profile log.

    - #### getProfileLogDirectory

          public static java.lang.String getProfileLogDirectory()

      Directory in which profile information is written.

    - #### getProfileLogFileNames

          public java.util.List<java.lang.String> getProfileLogFileNames()

      Returns a list of file names containing profile log information.

    - #### readProfileLogMessages

          public static java.util.List<ProfileLogInfo> readProfileLogMessages(java.lang.String fileName)

      Returns content of one profile log file.

Copyright © CaptainCasa Gmbh. All Rights Reserved.